Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Server-sent-events stream of badge pricing ticks. Forwards every tick — filter client-side.

GET/v1/badge.pricing.subscribe
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

One of:
object
dataPricingHeartbeatrequired
Show properties
heartbeatinteger<int64>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataEventMarketPriceTickDatarequired
Show properties
appIdinteger<int32>required
min 0
averageListingsinteger<int32>required
min 0
badgeTypestringrequired
buyOrderAveragePriceinteger<int32>required
min 0
cardAveragePriceinteger<int32>required
min 0
setBuyOrderPriceinteger<int32>required
min 0
setPriceinteger<int32>required
min 0
updatedAtinteger<int64>required
min 0
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

default

Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X GET 'https://api.steamsets.com/v1/badge.pricing.subscribe' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": {
    "heartbeat": 0
  },
  "event": "heartbeat",
  "id": "string",
  "retry": 0
}